Page MenuHomePhabricator

Use baserevid in Forms editing
Closed, ResolvedPublic

Description

Same AC in parent ticket

Event Timeline

alaa_wmde created this task.Mar 5 2019, 4:26 PM
Addshore triaged this task as Normal priority.Mar 5 2019, 4:27 PM

Change 497515 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Use baserevid in Forms editing

https://gerrit.wikimedia.org/r/497515

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 19 2019, 4:35 PM

This cane be merged even before https://phabricator.wikimedia.org/T218115 right?

Not can but actually should, given that js modules are cached in client, requiring baserevid at the same time than using it on UI will cause mayhem.

I recommend these two patches go one branch before the requiring the parameter in API

This patch doesn't go well with that strange error message from 508851:

This patch doesn't go well with that strange error message from 508851:

After fighting the tests really hard, I finally was able to fix it: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikibaseLexeme/+/509933

WMDE-leszek added a subscriber: WMDE-leszek.

Requires the issue reported in T223207 to be fixed first.

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:28 PM

Change 497515 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use baserevid in Forms editing

https://gerrit.wikimedia.org/r/497515

alaa_wmde closed this task as Resolved.Tue, Oct 1, 2:46 PM